<?xml version='1.0'?>
<!-- Comienzo de la hoja de Estilo -->
<xsl:stylesheet xmlns:xsl='http://www.w3.org/1999/XSL/Transform' version='1.0'>  
<!-- Tipo del fichero de salida -->
<xsl:output encoding="ISO-8859-1" method="text" />

<!-- Begin LatexDocument -->
<xsl:template match="LaTexDocument">

<!-- Header -->
<xsl:text>
%Plantilla XSLT para obtener documentos basados en LaTeX
%Creado por Jose Mariscal Prieto bajo las condiciones de la licencia GNU optimizado para TeX para UNIX
\documentclass[spanish,12pt,oneside]{</xsl:text><xsl:value-of select="@Type"/><xsl:text>}</xsl:text>
<!-- Propiedades del Texto -->
<xsl:text>

%Compatibilidad con los acentos no necesario \'i
\usepackage[latin1]{inputenc}
\usepackage{babel}
\usepackage{enumerate}
% leftmargin
\oddsidemargin 0in
%text width
\textwidth 6.75in
%margin from top
\topmargin 0in
%height
\textheight 8.5in
\parskip 2ex
</xsl:text>
<!-- Propiedades del Texto -->

<!-- Cuerpo del documento latex -->
<xsl:apply-templates select="node()"/>
</xsl:template>
<!-- Fin del documento LaTex -->


<!-- Principio del Documento -->
<!-- LatexBody -->
<xsl:template match="LaTexBody">
<xsl:text>
% cosas de libro
\pagestyle{headings}
%\pagenumbering{arabic}

\begin{document} 
</xsl:text>
<xsl:apply-templates select="node()"/>
<xsl:text>
\tableofcontents
\end{document}
</xsl:text>
</xsl:template>
<!-- LatexBody -->




<!-- PARTES DEL CUERPO DE LATEX -->
<!-- title -->
<xsl:template match="title">
<xsl:text>
\title{</xsl:text><xsl:value-of select="@Title"/><xsl:text>}</xsl:text>
<xsl:apply-templates select="node()"/>
<xsl:text>
\maketitle
</xsl:text>
</xsl:template>
<!-- title -->

<!-- author -->
<xsl:template match="author">
<xsl:text>
\author{</xsl:text><xsl:value-of select="@Author"/><xsl:text>}</xsl:text>
<xsl:apply-templates select="node()"/>
</xsl:template>
<!-- author -->

<!-- date -->
<xsl:template match="date">
<xsl:text>
\date{</xsl:text><xsl:value-of select="@Date"/><xsl:text>}</xsl:text>
<xsl:apply-templates select="node()"/>
</xsl:template>
<!-- date -->

<!-- chapter -->
<xsl:template match="chapter">
<xsl:text>
\chapter{</xsl:text><xsl:value-of select="@Title"/><xsl:text>}</xsl:text>
<xsl:apply-templates select="node()"/>
</xsl:template>
<!-- chapter -->
<!-- section -->
<xsl:template match="section">
<xsl:text>
\section{</xsl:text><xsl:value-of select="@Title"/><xsl:text>}</xsl:text>
<xsl:apply-templates select="node()"/>
</xsl:template>
<!-- section -->
<!-- subsection -->
<xsl:template match="subsection">
<xsl:text>
\subsection{</xsl:text><xsl:value-of select="@Title"/><xsl:text>}</xsl:text>
<xsl:apply-templates select="node()"/>
</xsl:template>
<!-- subsection -->
<!-- subsubsection -->
<xsl:template match="subsubsection">
<xsl:text>
\subsubsection{</xsl:text><xsl:value-of select="@Title"/><xsl:text>}</xsl:text>
<xsl:apply-templates select="node()"/>
</xsl:template>
<!-- section -->

<!-- Enumeraciones -->
<!-- Gestion del tipo item -->
<xsl:template match="item">
<xsl:text>
\item </xsl:text><xsl:apply-templates select="node()"/>
</xsl:template>
<!-- Gestion del tipo item -->

<!-- itemize -->
<xsl:template match="itemize">
<xsl:text>
\begin{itemize}</xsl:text>
<xsl:apply-templates select="node()"/>
<xsl:text>
\end{itemize}</xsl:text>
</xsl:template>
<!-- itemize -->

<!-- enumerate -->
<xsl:template match="enumerate">
<xsl:text>
\begin{enumerate}
</xsl:text>
<xsl:apply-templates select="node()"/>
<xsl:text>
\end{enumerate}
</xsl:text>
</xsl:template>
<!-- enumerate -->

<!--Descripciones -->
<!-- enumerate -->
<xsl:template match="description">
<xsl:text>
\begin{description}
</xsl:text>
<xsl:apply-templates select="node()"/>
<xsl:text>
\end{description}
</xsl:text>
</xsl:template>
<!-- enumerate -->
<!--Descripciones -->

<!-- Enumeraciones -->

<!-- verbatim se utiliza para poner lo que queramos sin que se modifique-->
<xsl:template match="verbatim">
<xsl:text>
\begin{verbatim}
</xsl:text>
<xsl:apply-templates select="node()"/>
<xsl:text>
\end{verbatim}
</xsl:text>
</xsl:template>

<!-- diapositivas -->
<xsl:template match="slide">
<xsl:text>
\begin{slide}
</xsl:text>
<xsl:apply-templates select="node()"/>
<xsl:text>
\end{slide}
</xsl:text>
</xsl:template>
<!-- diapositivas -->
<!-- Encuadres cosas varias -->
<!-- center -->
<xsl:template match="center">
<xsl:text>
\begin{center}
</xsl:text>
<xsl:apply-templates select="node()"/>
<xsl:text>
\end{center}</xsl:text>
</xsl:template>
<!-- center -->
<!-- left -->
<xsl:template match="flushleft">
<xsl:text>
\begin{flushleft}
</xsl:text>
<xsl:apply-templates select="node()"/>
<xsl:text>
\end{flushleft}</xsl:text>
</xsl:template>
<!-- left -->
<!-- left -->
<xsl:template match="flushright">
<xsl:text>
\begin{flushright}
</xsl:text>
<xsl:apply-templates select="node()"/>
<xsl:text>
\end{flusright}</xsl:text>
</xsl:template>
<!-- left -->
<!-- Encuadres cosas varias -->

<!-- Bibliografia -->
<xsl:template match="thebibliography">
<xsl:text>
\begin{thebibliography}{</xsl:text><xsl:value-of select="@num"/><xsl:text>}</xsl:text>
<xsl:apply-templates select="node()"/>
<xsl:text>
\end{thebibliography}
</xsl:text>
</xsl:template>
<!-- bibitem -->
<xsl:template match="bibitem">
<xsl:text>
\bibitem{</xsl:text><xsl:apply-templates select="node()"/><xsl:text>}</xsl:text>
</xsl:template>
<!-- Bibliografia -->


<!-- hipervinculos -->
<xsl:template match="href">
<xsl:text>
\href{</xsl:text><xsl:value-of select="@url"/><xsl:text>} </xsl:text><xsl:apply-templates select="node()"/>
</xsl:template>
<!-- Fin hipervinculos -->


<!-- fuentes latex -->
<xsl:template match="bf">
<xsl:text>
\begin{bf}
</xsl:text>
<xsl:apply-templates select="node()"/>
<xsl:text>
\end{bf}</xsl:text>
</xsl:template>
<xsl:template match="em">
<xsl:text>
\begin{em}
</xsl:text>
<xsl:apply-templates select="node()"/>
<xsl:text>
\end{em}</xsl:text>
</xsl:template>


<!-- PARA TEXTOS PEQUEÑOS -->
<xsl:template match="textit">
<xsl:text>
\textit{</xsl:text><xsl:apply-templates select="node()"/><xsl:text>}</xsl:text>
</xsl:template>
<xsl:template match="textmd">
<xsl:text>
\textmd{</xsl:text><xsl:apply-templates select="node()"/><xsl:text>}</xsl:text>
</xsl:template>
<xsl:template match="textrm">
<xsl:text>
\textrm{</xsl:text><xsl:apply-templates select="node()"/><xsl:text>}</xsl:text>
</xsl:template>
<xsl:template match="textsf">
<xsl:text>
\textsf{</xsl:text><xsl:apply-templates select="node()"/><xsl:text>}</xsl:text>
</xsl:template>
<xsl:template match="texttt">
<xsl:text>
\texttt{</xsl:text><xsl:apply-templates select="node()"/><xsl:text>}</xsl:text>
</xsl:template>
<!-- fuentes latex -->

<!-- procesamiento del text() -->
<xsl:template match="text()">
<xsl:variable name="S">
<xsl:value-of select="normalize-space()" />
</xsl:variable>

<xsl:if test="string-length($S)>0">

<xsl:call-template name="CaracteresLatex">

<xsl:with-param name="i" select="string-length($S)"/>
<xsl:with-param name="l" select="string-length($S)"/>

</xsl:call-template>
</xsl:if>

</xsl:template>
<!-- procesamiento del text() -->


<!-- Caracteres Especiales de LaTeX -->
<xsl:template name="CaracteresLatex">
<xsl:param name="i"/>
<xsl:param name="l"/>

<xsl:variable name="SS">
<xsl:value-of select="substring(normalize-space(),$l - $i + 1,1)" />
</xsl:variable>

<xsl:if test="$i > 0">

<xsl:choose>
 <!-- Otros Caracteres raros1-->
  <xsl:when test="$SS = '$'">
 <xsl:text>\$</xsl:text>
 </xsl:when>
  <xsl:when test="$SS = '('">
 <xsl:text>\(</xsl:text>
 </xsl:when>
  <xsl:when test="$SS = ')'">
 <xsl:text>\)</xsl:text>
 </xsl:when>
 <xsl:when test="$SS = '|'">
 <xsl:text>$|$</xsl:text>
 </xsl:when>
 <xsl:when test="$SS = '_'">
 <xsl:text>\_</xsl:text>
 </xsl:when>
 <!-- Otros Caracteres raros1-->
 <!-- Otros Caracteres raros2-->
 <xsl:when test="$SS = '^'">
 <xsl:text>\verb'^'</xsl:text>
 </xsl:when>
  <xsl:when test="$SS = '~'">
 <xsl:text>\verb'~'</xsl:text>
 </xsl:when>
 <xsl:when test="$SS = ''">
 <xsl:text>\verb'^'</xsl:text>
 </xsl:when>
 <!-- Otros Caracteres raros2-->
 <xsl:when test="$SS = 'ç'">
 <xsl:text>\c{c}</xsl:text>
 </xsl:when>
 <xsl:when test="$SS = 'ô'">
 <xsl:text>\^{o}</xsl:text>
 </xsl:when>
 <xsl:when test="$SS = 'ù'">
 <xsl:text>\`{u}</xsl:text>
 </xsl:when>
 <xsl:when test="$SS = 'û'">
 <xsl:text>\^{u}</xsl:text>
 </xsl:when>
  <!-- Otros Caracteres raros-->
 <xsl:otherwise><xsl:value-of select="$SS"/></xsl:otherwise>
</xsl:choose>

<xsl:text></xsl:text> 

<xsl:call-template name="CaracteresLatex">
<xsl:with-param name="i" select="$i - 1"/>
<xsl:with-param name="l" select="$l"/>

</xsl:call-template>
</xsl:if>

</xsl:template>
<!-- Caracteres Especiales de LaTeX -->

</xsl:stylesheet>
<!-- End stylesheet -->